library guru.random;

import 'dart:math';
export 'pseudo_random.dart';

/// Created by Haoyi on 4/9/21
///

class RandomUtils {
  static final Random _random = Random(DateTime.now().microsecondsSinceEpoch);

  static int nextInt(int max) {
    return _random.nextInt(max);
  }

  static bool nextBool() {
    return _random.nextBool();
  }

  static double nextDouble() {
    return _random.nextDouble();
  }
}
